# REMOVE ME (I was set for NMU) and uncomment real Release tags:
Release: alt2.2
%define oname zope.fssync

%def_with python3

Name: python-module-%oname
Version: 3.6.1
#Release: alt2.1
Summary: Filesystem synchronization utility for Zope 3
License: ZPLv2.1
Group: Development/Python
Url: http://pypi.python.org/pypi/zope.fssync/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: %name-%version.tar

BuildPreReq: python-devel python-module-setuptools
%if_with python3
BuildRequires(pre): rpm-build-python3
BuildPreReq: python3-devel python3-module-setuptools
BuildPreReq: python-tools-2to3
%endif

%py_requires zope zope.annotation zope.component zope.dottedname
%py_requires zope.filerepresentation zope.interface zope.lifecycleevent
%py_requires zope.location zope.proxy zope.traversing zope.xmlpickle

%description
This package provides filesystem synchronization utilities for Zope 3.
It is used by the zope.app.fssync package.

%package -n python3-module-%oname
Summary: Filesystem synchronization utility for Zope 3
Group: Development/Python3
%py3_requires zope zope.annotation zope.component zope.dottedname
%py3_requires zope.filerepresentation zope.interface zope.lifecycleevent
%py3_requires zope.location zope.proxy zope.traversing zope.xmlpickle

%description -n python3-module-%oname
This package provides filesystem synchronization utilities for Zope 3.
It is used by the zope.app.fssync package.

%package -n python3-module-%oname-tests
Summary: Tests for zope.fssync
Group: Development/Python3
Requires: python3-module-%oname = %version-%release
%py3_requires ZODB3 zope.testing py

%description -n python3-module-%oname-tests
This package provides filesystem synchronization utilities for Zope 3.
It is used by the zope.app.fssync package.

This package contains tests for zope.fssync.

%package tests
Summary: Tests for zope.fssync
Group: Development/Python
Requires: %name = %version-%release
%py_requires ZODB3 zope.testing py

%description tests
This package provides filesystem synchronization utilities for Zope 3.
It is used by the zope.app.fssync package.

This package contains tests for zope.fssync.

%prep
%setup

%if_with python3
cp -fR . ../python3
find ../python3 -type f -name '*.py' -exec 2to3 -w -n '{}' +
%endif

%build
%python_build

%if_with python3
pushd ../python3
%python3_build
popd
%endif

%install
%python_install
%if "%python_sitelibdir_noarch" != "%python_sitelibdir"
install -d %buildroot%python_sitelibdir
mv %buildroot%python_sitelibdir_noarch/* \
	%buildroot%python_sitelibdir/
%endif

%if_with python3
pushd ../python3
%python3_install
popd
%if "%python3_sitelibdir_noarch" != "%python3_sitelibdir"
install -d %buildroot%python3_sitelibdir
mv %buildroot%python3_sitelibdir_noarch/* \
	%buildroot%python3_sitelibdir/
%endif
%endif

%files
%doc *.txt
%python_sitelibdir/*
%exclude %python_sitelibdir/*.pth
%exclude %python_sitelibdir/*/*/tests

%files tests
%python_sitelibdir/*/*/tests

%if_with python3
%files -n python3-module-%oname
%doc *.txt
%python3_sitelibdir/*
%exclude %python3_sitelibdir/*.pth
%exclude %python3_sitelibdir/*/*/tests

%files -n python3-module-%oname-tests
%python3_sitelibdir/*/*/tests
%endif

%changelog
* Tue Apr 30 2019 Grigory Ustinov <grenka@altlinux.org> 3.6.1-alt2.2
- Rebuild with python3.7.

* Mon Jun 06 2016 Ivan Zakharyaschev <imz@altlinux.org> 3.6.1-alt2.1.1
- (AUTO) subst_x86_64.

* Mon Mar 14 2016 Ivan Zakharyaschev <imz@altlinux.org> 3.6.1-alt2.1
- (NMU) rebuild with rpm-build-python3-0.1.9
  (for common python3/site-packages/ and auto python3.3-ABI dep when needed)

* Sat Jul 26 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.6.1-alt2
- Added module for Python 3

* Tue Sep 24 2013 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.6.1-alt1
- Version 3.6.1

* Tue Apr 09 2013 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.6.0-alt1
- Version 3.6.0

* Thu Oct 20 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 3.5.2-alt2.1
- Rebuild with Python-2.7

* Tue Jun 28 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.5.2-alt2
- Added necessary requirements
- Excluded *.pth

* Tue May 24 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.5.2-alt1
- Initial build for Sisyphus

